org.apache.felix.ipojo.plugin

## Class MavenReporter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.reporter.EmptyReporter
  - - org.apache.felix.ipojo.plugin.MavenReporter

All Implemented Interfaces:
  org.apache.felix.ipojo.manipulator.Reporter

    public class MavenReporter
    extends org.apache.felix.ipojo.manipulator.reporter.EmptyReporter

A `MavenReporter` wraps a maven logging system into an iPOJO Reporter.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`MavenReporter(org.apache.maven.plugin.logging.Log log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(String message, Object... args)`
`void` `info(String message, Object... args)`
`void` `trace(String message, Object... args)`
`void` `warn(String message, Object... args)`

### Methods inherited from class org.apache.felix.ipojo.manipulator.reporter.EmptyReporter

`getErrors, getMessageArguments, getThrowable, getWarnings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenReporter

    public MavenReporter(org.apache.maven.plugin.logging.Log log)

### Method Detail

#### trace

    public void trace(String message,
                      Object... args)

Specified by:
  `trace` in interface `org.apache.felix.ipojo.manipulator.Reporter`
Overrides:
  `trace` in class `org.apache.felix.ipojo.manipulator.reporter.EmptyReporter`

#### info

    public void info(String message,
                     Object... args)

Specified by:
  `info` in interface `org.apache.felix.ipojo.manipulator.Reporter`
Overrides:
  `info` in class `org.apache.felix.ipojo.manipulator.reporter.EmptyReporter`

#### warn

    public void warn(String message,
                     Object... args)

Specified by:
  `warn` in interface `org.apache.felix.ipojo.manipulator.Reporter`
Overrides:
  `warn` in class `org.apache.felix.ipojo.manipulator.reporter.EmptyReporter`

#### error

    public void error(String message,
                      Object... args)

Specified by:
  `error` in interface `org.apache.felix.ipojo.manipulator.Reporter`
Overrides:
  `error` in class `org.apache.felix.ipojo.manipulator.reporter.EmptyReporter`